Bug 1696118 - /bin/oc conflicts with binary from the origin-clients package
Summary: /bin/oc conflicts with binary from the origin-clients package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: neuron
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 07:59 UTC by Christophe Fergeau
Modified: 2019-05-28 02:00 UTC (History)
3 users (show)

Fixed In Version: neuron-7.5-7.20181214git5687519.fc30 neuron-7.5-7.20181214git5687519.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 01:10:02 UTC


Attachments (Terms of Use)

Description Christophe Fergeau 2019-04-04 07:59:06 UTC
dnf install origin-clients
dnf install neuron
  file /usr/bin/oc from install of neuron-7.5-5.20181214git5687519.fc30.x86_64 conflicts with file from package origin-clients-3.11.1-1.fc30.x86_64

As origin-clients is older than neuron, I believe it's neuron's oc which should be renamed (to neuron-oc?)

Comment 1 Ankur Sinha (FranciscoD) 2019-04-04 12:21:54 UTC
Well, neuron is definitely older as software: it's been around since 1990. It's certainly newer as a Fedora package, though. 

In neuron, "oc" stands for the "oc" interpreter for the very very old "hoc" language[1,2], so the name is quite apt. "oc" for origin-clients, is not the best name IMO. Any chance upstream would consider using a better name for their binary? If not, I'll go ahead and rename neuron's binary.

[1] https://en.wikipedia.org/wiki/Hoc_(programming_language)
[2] https://neuron.yale.edu/neuron/static/docs/refman/hoc.html

Comment 2 Christophe Fergeau 2019-04-04 13:17:54 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #1)
> Well, neuron is definitely older as software: it's been around since 1990.
> It's certainly newer as a Fedora package, though. 
> 

I meant it's very new in Fedora, sorry for not being more explicit :)

> In neuron, "oc" stands for the "oc" interpreter for the very very old "hoc"
> language[1,2], so the name is quite apt. "oc" for origin-clients, is not the
> best name IMO. Any chance upstream would consider using a better name for
> their binary? If not, I'll go ahead and rename neuron's binary.

I'm fairly new in origin/openshift, so I don't know, however given that Red Hat prominently document usage of 'oc' ( for example https://blog.openshift.com/oc-command-newbies/ ), I'd suspect renaming it upstream would be a hard sell.

Comment 3 Dominik 'Rathann' Mierzejewski 2019-05-15 10:42:49 UTC
I've just hit it trying:

# dnf install /usr/bin/oc

and getting surprised by dnf attempting to install neuron while I was expecting origin-clients.

I think OpenShift is immensely more popular than neuron and I'm afraid it's neuron's oc that has to be renamed in Fedora. Any reason it's not named "hoc"?

Comment 4 Ankur Sinha (FranciscoD) 2019-05-15 11:07:29 UTC
Nothing apart from because upstream called it oc.

It's on my list of todos, but I won't have time to do it this week. Could you please --exclude=neuron* in the meantime? That will install origin-clients.

Comment 5 Fedora Update System 2019-05-17 19:09:00 UTC
neuron-7.5-7.20181214git5687519.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8154aa26f8

Comment 6 Fedora Update System 2019-05-17 19:09:04 UTC
neuron-7.5-7.20181214git5687519.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-17f7f62379

Comment 7 Fedora Update System 2019-05-18 00:54:22 UTC
neuron-7.5-7.20181214git5687519.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-17f7f62379

Comment 8 Fedora Update System 2019-05-18 04:11:34 UTC
neuron-7.5-7.20181214git5687519.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8154aa26f8

Comment 9 Fedora Update System 2019-05-28 01:10:02 UTC
neuron-7.5-7.20181214git5687519.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-05-28 02:00:52 UTC
neuron-7.5-7.20181214git5687519.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.